Open MPI logo

Open MPI User's Mailing List Archives

  |   Home   |   Support   |   FAQ   |   all Open MPI User's mailing list

Subject: Re: [OMPI users] Building 1.6.3 on OS X 10.8
From: Jeff Squyres (jsquyres) (jsquyres_at_[hidden])
Date: 2013-02-11 08:27:59


That's very idd; I cant think of why that would happen offhand. I build and run all the time on ML with no problems. Can you deleted that plugin and run ok?

Sent from my phone. No type good.

On Feb 10, 2013, at 10:22 PM, "Mark Bolstad" <the.render.dude_at_[hidden]> wrote:

> I having some difficulties with building/running 1.6.3 on Mountain Lion (10.8.2). I build with no errors and install into a prefix directory. I get the following errors:
> ...
> [bolstadm-lm3:38486] mca: base: component_find: unable to open /Users/bolstadm/papillon/build/macosx-x86_64/Release/openmpi-1.6.3/lib/openmpi/mca_shmem_sysv: lt_dlerror() returned NULL! (ignored)
> --------------------------------------------------------------------------
> It looks like opal_init failed for some reason; your parallel process is
> likely to abort. There are many reasons that a parallel process can
> fail during opal_init; some of which are due to configuration or
> environment problems. This failure appears to be an internal failure;
> here's some additional information (which may only be relevant to an
> Open MPI developer):
>
> opal_shmem_base_select failed
> --> Returned value -1 instead of OPAL_SUCCESS
> --------------------------------------------------------------------------
> [bolstadm-lm3:38486] [[INVALID],INVALID] ORTE_ERROR_LOG: Error in file runtime/orte_init.c at line 79
> [bolstadm-lm3:38486] [[INVALID],INVALID] ORTE_ERROR_LOG: Error in file orterun.c at line 694
>
> I've fiddled with LD_LIBRARY_PATH, DYLD_LIBRARY_PATH, OPAL_PREFIX, in combination and separately, and none of these seem to have much effect.
>
> So, I decided to try a straight build. The only option was --disable-mpi-f77. It installed into /usr/local. There is no other mpi version installed on the system, and I still get the same errors.
>
> However, I did install the version from MacPorts (also 1.6.3), and it works correctly.
>
> I would appreciate if anyone had some insight into building on OS X 10.8.
>
> Mark
>
> _______________________________________________
> users mailing list
> users_at_[hidden]
> http://www.open-mpi.org/mailman/listinfo.cgi/users